{ config, pkgs, ... }:
{
  imports =
    [
      ./hardware-configuration.nix
      ../../modules/home-manager.nix
      ../../modules/nur-and-unstable.nix
      ../../modules/base.nix
      #../../modules/headless.nix

      ../../modules/gnome-base.nix
      ../../modules/gnome-config.nix
      ../../modules/gnome-extensions.nix
      ../../modules/gnome-fractional-scaling.nix

      ../../modules/programs.nix
      #../../modules/games.nix
      ../../modules/boxes.nix
      ../../modules/freetube.nix
      ../../modules/jetbrains-ide.nix
      ../../modules/vscodium.nix
      ../../modules/signal-desktop.nix
      ../../modules/element-desktop.nix
      ../../modules/joplin-desktop.nix
      ../../modules/tor-browser.nix
      ../../modules/autostart.nix
      ../../modules/wallpaper.nix
      ../../modules/fwupd-gnome.nix
      ../../modules/print-and-scan.nix
      #../../modules/ssh-fde-unlock.nix
      ../../modules/nextcloud-integration.nix
      ../../modules/git.nix
      ../../modules/zsh.nix
      ../../modules/nitrokey-gpg-smartcard.nix
      ../../modules/ssh-client.nix
      ../../modules/ssh-server.nix
      ../../modules/firefox.nix
      ../../modules/thunderbird.nix
      ../../modules/digikam-rawtherapee.nix
      ../../modules/ghostwriter.nix
      ../../modules/android.nix
      ../../modules/pmbootstrap.nix
      #../../modules/podman.nix
      ../../modules/docker.nix
      ../../modules/docker-pushrm.nix
      ../../modules/lid-switch-handling.nix
      ../../modules/sendmail-mta.nix
      #../../modules/journalwatch.nix
      #../../modules/waydroid.nix
      ../../modules/ntfs.nix
      #../../modules/veracrypt.nix
      #../../modules/btrbk
      #../../modules/spin-down.nix

      ../../modules/btrfs-scrub.nix
      ../../modules/btrfs-mount-options.nix
    ];

  networking.hostName = "yodaTux";
  boot.initrd.luks.devices."luks-ea7099e3-320d-4eb3-a4c3-9910a9af817b".allowDiscards = true;
  yoda.btrfsFileSystems = ["/"];
  #yoda.btrfsMounts = yoda.btrfsFileSystems;

  # Systemd Journal entry:
  # S Sat Sep 23 16:11:52 2023 p4 kernel: TSC found unstable after boot, most likely due to broken BIOS. Use 'tsc=unstable'.
  boot.kernelParams = [ "tsc=unstable" ];

  # List all available kernel versions:
  #   `nix repl` -> `:l <nixpkgs>` -> `pkgs.linuxPackages` and press `TAB`
  # Default.
  #boot.kernelPackages = pkgs.linuxPackages;
  # Latest.
  boot.kernelPackages = pkgs.linuxPackages_latest;
  # Hardened.
  # https://archlinux.org/packages/extra/x86_64/linux-hardened/
  # -> https://github.com/anthraxx/linux-hardened
  #boot.kernelPackages = pkgs.linuxPackages_hardened;
  # Free/Libre.
  # https://en.wikipedia.org/wiki/Linux-libre
  #boot.kernelPackages = pkgs.linuxPackages-libre;
}
