{ config, pkgs, ... }:
{
  home-manager.users.yoda = { osConfig, config, pkgs, ... }: {

    # SSH client configuration.
    programs.ssh = {
      enable = true;
      userKnownHostsFile = "~/.ssh/known_hosts ${../assets/ssh/known_hosts}";
      matchBlocks = {
        "rootHP" = {
          hostname = "192.168.178.108";
          user = "root";
          port = 22;
          compression = false;
        };
        "yodaTab" = {
          hostname = "192.168.178.33";
          user = "yoda";
          port = 22;
          compression = false;
        };
        "yodaEnchilada" = {
          hostname = "192.168.178.109";
          user = "yoda";
          port = 22;
          compression = false;
        };

        # local IP: 192.168.178.99
        "yodaYoga" = {
          hostname = "p1st.de";
          user = "yoda";
          port = 2224;
          compression = true;
        };
        "rootYoga" = {
          hostname = "p1st.de";
          user = "root";
          port = 2224;
          compression = true;
        };
        "unlockYoga" = {
          hostname = "p1st.de";
          user = "root";
          port = 2225;
          compression = true;
        };

        "pi3bplus" = {
          hostname = "fckjpbxxim36c1gb.myfritz.net";
          user = "yoda";
          port = 22;
          compression = true;
        };
        "rootPi3bplus" = {
          hostname = "fckjpbxxim36c1gb.myfritz.net";
          user = "root";
          port = 22;
          compression = true;
        };

        "cx21-bbb" = {
          hostname = "195.201.139.84";
          user = "root";
          port = 22;
          compression = true;
        };
        "cpx11-coturn" = {
          hostname = "157.90.231.213";
          user = "root";
          port = 22;
          compression = true;
        };
        "ejNas" = {
          hostname = "cloud.ej-altdorf.de";
          #hostname = "ej-altdorf.spdns.de";
          user = "yoda";
          port = 22;
          compression = true;
        };
        "rootEjNas" = {
          hostname = "cloud.ej-altdorf.de";
          #hostname = "ej-altdorf.spdns.de";
          user = "root";
          port = 22;
          compression = true;
        };

        # local IP: 192.168.178.106
        "yodaHedgehog" = {
          hostname = "p1st.de";
          user = "yoda";
          port = 2226;
          compression = true;
        };
        "unlockHedgehog" = {
          hostname = "p1st.de";
          user = "root";
          port = 2227;
          compression = true;
        };

        # local IP: 192.168.178.27
        "yodaNas" = {
          hostname = "p1st.de";
          user = "yoda";
          port = 2222;
          compression = true;
        };
        "rootNas" = {
          hostname = "p1st.de";
          user = "root";
          port = 2222;
          compression = true;
        };
        "unlockNas" = {
          hostname = "p1st.de";
          user = "root";
          port = 2223;
          compression = true;
        };
      };
    };

  };
}
